Quassel IRC - Bug #1538

multiple (semicolon separated) senders do not work for remote highlights
10/18/2019 12:19 PM - blackntan

Status: Feedback Start date: 10/18/2019
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: Some future release

Version: 0.13.0 0S: Any
Description

remote highlight issue -> | added a semicolon separated list of senders to a remote highlight and now it's not being triggered at all
this doesn't work at all (no highlighting for either nick) --> nickone!*;anothernick!*

if i remove the ;anothernick!™ it starts working for the original nick

this works --> nickone!*

core version --> v0.13.1 (0.13.1+3 git-868af1b1)
client version --> https://github.com/quassel/quassel/commit/3778a12912369eb5add886bb65ca74e9df841744

History

#1 - 10/19/2019 06:33 AM - genius3000

- Status changed from New to Feedback

Further discussion on IRC revealed that Regex is enabled for this rule. The sender field also requires the use of regex then (why the single match
worked with just ™' is beyond my knowledge). OP is testing with a correct regex syntax and will report back.

#2 - 10/21/2019 03:44 PM - blackntan

regex works perfectly fine ... maybe an opportunity to note this information in the mouse-over text ... as it doesn't mention regex at all there.
